expectedCost <- function(mu.1.log, sd.1.log, mu.2.log, sd.2.log, n, 
                         L.L=1/10000, L.H =10000, odds =1 , c.D = 0.1){
  p1 <- pnorm((log(L.H/odds)-n*mu.1.log)/(sqrt(n)*sd.1.log))
  p2 <- pnorm((log(L.L/odds)-n*mu.1.log)/(sqrt(n)*sd.1.log))
  p3 <- 1 - pnorm((log(L.L/odds)-n*mu.2.log)/(sqrt(n)*sd.2.log))
  p4 <- 1- pnorm((log(L.H/odds)-n*mu.2.log)/(sqrt(n)*sd.2.log))
  EC <- c.D+odds/(odds+1)*(p1+p2/L.L)+1/(odds+1)*(p3+p4*L.H)
  list(probs=c(p1,p2,p3,p4), ExpectedCost=EC)
}
