lik2 = function(a,b,cc,d, afreq, Delta){
  I12 = a==b
  I13 = a==cc
  I14 = a==d
  I23 = b==cc
  I24 = b==d
  I34 = cc==d
  I = c(I12,I13,I14, I23, I24,I34)
  if (min(I)==1){ #case = 1
   p = afreq[a]
   line = c(p,p^2,p^2,p^3,p^2,p^3,p^2, p^3,p^4)
   lik = sum(line*Delta)
   return(lik)
  }
   else if (I12==1&I34==1){ #case=2
    p = afreq[a]
    q = afreq[cc]
    line = c(0,p*q,0,p*q^2,0,p^2*q,0,0,p^2*q^2)
    lik = sum(line*Delta)
    return(lik)
   }
   else if ((I12==1&I13==1&I14==0)|(I12==1&I13==0&I14==1)){ #case=3
    p  = afreq[a]
    if(I13==1)
	index2 = index[I13==1]
      q = afreq[d]
    else
      q = afreq[cc]
    line = c(0,0,p*q,2*p^2*q,0,0,0,p^2*q,2*p^3*q)
    lik = sum(line*Delta)
    return(lik)
   }
   else if (I12==1){  #case=4
    p  = afreq[a]
    q = afreq[cc]
    r = afreq[d]
    line = c(0,0,0,2*p*q*r,0,0,0,0,2*p^2*q*r)
    lik = sum(line*Delta)
    return(lik)
   }
   else if ((I34==1&I13==1&I23==0)|(I34==1&I13==0&I23==1)){ #case=5
    p  = afreq[cc]
    if(I13==1)
      q = afreq[b]
    else
      q = afreq[a]
    line = c(0,0,0,0,p*q,2*p^2*q,0,p^2*q,2*p^3*q)
    lik = sum(line*Delta)
    return(lik)
   }
   else if (I34==1){ #case=6
    p  = afreq[cc]
    q = afreq[a]
    r = afreq[b]
    line = c(0,0,0,0,0,2*p*q*r,0,0,2*p^2*q*r)
    lik = sum(line*Delta)
    return(lik)
   }
  else if ((I13==1&I24==1)|(I14==1&I23==1)){ #case = 7
    p  = afreq[a]
    q = afreq[b]
    line = c(0,0,0,0,0,0,2*p*q,p*q*(p+q),4*p^2*q^2)
    lik = sum(line*Delta)
    return(lik)
  }
  else if ((I13==1&I24==0)|(I14==1&I23==0)|(I23==1&I14==0)|(I24==1&I13==0)){ #case =8
    if (I13==1){
     p = afreq[a]
     q = afreq[b]
     r = afreq[d]
    }
    else if (I14==1){
      p = afreq[a]
      q = afreq[b]
      r = afreq[cc]
    }
    else if (I23==1){
      p = afreq[b]
      q = afreq[a]
      r = afreq[d]
    }
    else if (I24==1){
      p = afreq[b]
      q = afreq[a]
      r = afreq[cc]
    }
    line = c(0,0,0,0,0,0,0,p*q*r,4*p^2*q*r)
    lik = sum(line*Delta)
    return(lik)
  }
  else if (max(I)==0){ #case=9
    case =9
    p  = afreq[a]
    q = afreq[b]
    r = afreq[cc]
    s = afreq[d]
    line = c(0,0,0,0,0,0,0,0,4*p*q*r*s)
    lik = sum(line*Delta)
    return(lik)
  }
}
x = fullSibMating(2)

test = function(x = fullSibMating(2), ids =c(5,6), pp=rep(0.25,4)){
Delta = jacquard(x, ids)
pp = pp/sum(pp)
res = NULL
# Case 1
g1 = g2 = c(1,1)
a =g1[1];b=g1[2];cc=g2[1];d=g2[2]
m = marker(x, alleles=1:length(pp), ids,g1, afreq=pp)
l1 = likelihood(x,m)
l2 = lik2(a,b,cc,d, pp, Delta)
res = rbind(res,c(g1,g2,l1,l2,1))
# Case 2
g1 =c(1,1); g2 =c(2,2)
a =g1[1];b=g1[2];cc=g2[1];d=g2[2]
m = marker(x, alleles=1:length(pp), ids[1],g1,ids[2],g2,afreq=pp)
l1 = likelihood(x,m)
l2 = lik2(a,b,cc,d, pp, Delta)
res = rbind(res,c(g1,g2,l1,l2, 2))

# Case 3
g1 =c(1,1); g2 =c(2,1)
a =g1[1];b=g1[2];cc=g2[1];d=g2[2]
m = marker(x, alleles=1:length(pp), ids[1],g1,ids[2],g2,afreq=pp)
l1 = likelihood(x,m)
l2 = lik2(a,b,cc,d, pp, Delta)
res = rbind(res,c(g1,g2,l1,l2, 3))

# Case 4
g1 =c(1,1); g2 =c(3,2)
a =g1[1];b=g1[2];cc=g2[1];d=g2[2]
m = marker(x, alleles=1:length(pp), ids[1],g1,ids[2],g2,afreq=pp)
l1 = likelihood(x,m)
l2 = lik2(a,b,cc,d, pp, Delta)
res = rbind(res,c(g1,g2,l1,l2, 4))

# Case 5
g1 =c(2,1); g2 =c(1,1)
a =g1[1];b=g1[2];cc=g2[1];d=g2[2]
m = marker(x, alleles=1:length(pp), ids[1],g1,ids[2],g2,afreq=pp)
l1 = likelihood(x,m)
l2 = lik2(a,b,cc,d, pp, Delta)
res = rbind(res,c(g1,g2,l1,l2, 5))

# Case 6
g1 =c(3,2); g2 =c(1,1)
a =g1[1];b=g1[2];cc=g2[1];d=g2[2]
m = marker(x, alleles=1:length(pp), ids[1],g1,ids[2],g2,afreq=pp)
l1 = likelihood(x,m)
l2 = lik2(a,b,cc,d, pp, Delta)
res = rbind(res,c(g1,g2,l1,l2, 6))

# Case 7
g1 =c(1,4); g2 =c(4,1)
a =g1[1];b=g1[2];cc=g2[1];d=g2[2]
m = marker(x, alleles=1:length(pp), ids[1],g1,ids[2],g2,afreq=pp)
l1 = likelihood(x,m)
l2 = lik2(a,b,cc,d, pp, Delta)
res = rbind(res,c(g1,g2,l1,l2, 7))

# Case 8
g1 =c(1,2); g2 =c(4,1)
a =g1[1];b=g1[2];cc=g2[1];d=g2[2]
m = marker(x, alleles=1:length(pp), ids[1],g1,ids[2],g2,afreq=pp)
l1 = likelihood(x,m)
l2 = lik2(a,b,cc,d, pp, Delta)
res = rbind(res,c(g1,g2,l1,l2, 8))

# Case 9
g1 =c(1,2); g2 =c(3,4)
a =g1[1];b=g1[2];cc=g2[1];d=g2[2]
m = marker(x, alleles=1:length(pp), ids[1],g1,ids[2],g2,afreq=pp)
l1 = likelihood(x,m)
l2 = lik2(a,b,cc,d, pp, Delta)
res = rbind(res,c(g1,g2,l1,l2, 9))
res
}
test()

res = NULL
x = fullSibMating(3)
Delta = jacquard(x, c(7,8))
L = 2
pp = 1:L; pp = pp/sum(pp)
set.seed(17)
for (i in 1:100){
  g1 = sample(1:L, 2, rep=TRUE, prob=pp)
  g2 = sample(1:L, 2, rep=TRUE, prob=pp)
  a =g1[1];b=g1[2];cc=g2[1];d=g2[2]
  l2 = lik2(a,b,cc,d, pp, Delta)
  m = marker(x, alleles=1:L, 7,g1,8,g2,afreq=pp)
  l1 = likelihood(x,m)
  res = rbind(res,c(g1,g2,l1,l2))
}
foo=apply(res,1,function(x) abs(x[5]-x[6]) < 1e-15)
sum(foo)-100
g1 = c(6,9); g2=c(9,10)

buildMatrix = function(p,q,r,s){
  line1 = c(p,p^2,p^2,    p^3,p^2,    p^3,  p^2,      p^3,p^4)
  line2 = c(0,p*q,  0,  p*q^2,  0,  p^2*q,    0,        0,p^2*q^2)
  line3 = c(0,  0,p*q,2*p^2*q,  0,      0,    0,    p^2*q,2*p^3*q)
  line4 = c(0,  0,  0,2*p*q*r,  0,      0,    0,        0,2*p^2*q*r)
  line5 = c(0,  0,  0,      0,p*q,2*p^2*q,    0,    p^2*q,2*p^3*q)
  line6 = c(0,  0,  0,      0,  0,2*p*q*r,    0,        0,2*p^2*q*r)
  line7 = c(0,  0,  0,      0,  0,      0,2*p*q,p*q*(p+q),4*p^2*q^2)
  line8 = c(0,  0,  0,      0,  0,      0,    0,    p*q*r,4*p^2*q*r)
  line9 = c(0,  0,  0,      0,  0,      0,    0,        0,4*p*q*r*s)
  J = rbind(line1,line2,line3,line4,line5,line6,line7,line8, line9)
  J
  }
